Index content into knowledge base
curl --request POST \
--url https://neo.api.projectdiscovery.io/api/v1/knowledge/index \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"index_name": "<string>",
"files": [
{
"relative_path": "<string>",
"content": "<string>",
"language": "<string>",
"url": "<string>"
}
],
"options": {
"chunk_overlap": 300,
"chunk_size": 2500,
"force_reindex": false,
"splitter": "treesitter"
}
}
'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/knowledge/index"
payload = {
"index_name": "<string>",
"files": [
{
"relative_path": "<string>",
"content": "<string>",
"language": "<string>",
"url": "<string>"
}
],
"options": {
"chunk_overlap": 300,
"chunk_size": 2500,
"force_reindex": False,
"splitter": "treesitter"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
index_name: '<string>',
files: [
{
relative_path: '<string>',
content: '<string>',
language: '<string>',
url: '<string>'
}
],
options: {
chunk_overlap: 300,
chunk_size: 2500,
force_reindex: false,
splitter: 'treesitter'
}
})
};
fetch('https://neo.api.projectdiscovery.io/api/v1/knowledge/index', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"indexed": {
"index_name": "<string>",
"total_chunks": 123,
"total_files": 123
},
"message": "<string>",
"success": true
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}Knowledge
Index content into knowledge base
Upload and index content (from text or URLs) into your personal knowledge base with hybrid search support
POST
/
api
/
v1
/
knowledge
/
index
Index content into knowledge base
Authorizations
BearerAuthApiKeyAuth
JWT authentication token
Body
application/json
⌘I

